<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/PTree/Visitor.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/Visitor.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/PTree/Visitor.hh</h1><div><a href="../../../Source/Synopsis/PTree/Visitor.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="NodesFwd.hh.html" >Synopsis/PTree/NodesFwd.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html" >Visitor</a>
<div class="doc"><p>The Visitor class is used to dynamically resolve
type information about a given Node.</p>
</div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Visitor</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lAccessDecl_S_r" >visit&#40;AccessDecl*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lAccessSpec_S_r" >visit&#40;AccessSpec*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lArrayExpr_S_r" >visit&#40;ArrayExpr*&#41;</a>
<div class="doc"><p>&lt;postfix&gt; [ &lt;expr&gt; ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lArrowMemberExpr_S_r" >visit&#40;ArrowMemberExpr*&#41;</a>
<div class="doc"><p>[ postfix -&gt; name ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lAssignExpr_S_r" >visit&#40;AssignExpr*&#41;</a>
<div class="doc"><p>[left = right]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lAtom_S_r" >visit&#40;Atom*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lBlock_S_r" >visit&#40;Block*&#41;</a>
<div class="doc"><p>[ { [ &lt;statement&gt;* ] } ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lBrace_S_r" >visit&#40;Brace*&#41;</a>
<div class="doc"><p>[ { [ &lt;statement&gt;* ] } ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lBreakStatement_S_r" >visit&#40;BreakStatement*&#41;</a>
<div class="doc"><p>[ break ; ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lCaseStatement_S_r" >visit&#40;CaseStatement*&#41;</a>
<div class="doc"><p>[ case expr : [expr] ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lCastExpr_S_r" >visit&#40;CastExpr*&#41;</a>
<div class="doc"><p>( type-expr ) expr   ..type-expr is type encoded</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lClassBody_S_r" >visit&#40;ClassBody*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lClassSpec_S_r" >visit&#40;ClassSpec*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lCommentedAtom_S_r" >visit&#40;CommentedAtom*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lCondExpr_S_r" >visit&#40;CondExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lContinueStatement_S_r" >visit&#40;ContinueStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDeclaration_S_r" >visit&#40;Declaration*&#41;</a>
<div class="doc"><p>One of:</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDeclarator_S_r" >visit&#40;Declarator*&#41;</a>
<div class="doc"><p>[ [ declarator { = &lt;expr&gt; } ] , ...</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDefaultStatement_S_r" >visit&#40;DefaultStatement*&#41;</a>
<div class="doc"><p>[ default : [expr] ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDeleteExpr_S_r" >visit&#40;DeleteExpr*&#41;</a>
<div class="doc"><p>[ delete [expr] ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDoStatement_S_r" >visit&#40;DoStatement*&#41;</a>
<div class="doc"><p>[ do [{ ...</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDotMemberExpr_S_r" >visit&#40;DotMemberExpr*&#41;</a>
<div class="doc"><p>[ postfix .</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDupAtom_S_r" >visit&#40;DupAtom*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lEnumSpec_S_r" >visit&#40;EnumSpec*&#41;</a>
<div class="doc"><p>[ enum [name] [{ [name [= value] ]* }] ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lExprStatement_S_r" >visit&#40;ExprStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lExpression_S_r" >visit&#40;Expression*&#41;</a>
<div class="doc"><p>[ expr (, expr)* ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lExternTemplate_S_r" >visit&#40;ExternTemplate*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lForStatement_S_r" >visit&#40;ForStatement*&#41;</a>
<div class="doc"><p>[ for ( stmt expr ; expr ) statement ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lFstyleCastExpr_S_r" >visit&#40;FstyleCastExpr*&#41;</a>
<div class="doc"><p>[ [type] ( [expr] ) ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lFuncallExpr_S_r" >visit&#40;FuncallExpr*&#41;</a>
<div class="doc"><p>[ postfix ( args ) ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lFunctionDefinition_S_r" >visit&#40;FunctionDefinition*&#41;</a>
<div class="doc"><p>Function definition: [ [modifiers] name declarator [ { ...</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lGotoStatement_S_r" >visit&#40;GotoStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lIdentifier_S_r" >visit&#40;Identifier*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lIfStatement_S_r" >visit&#40;IfStatement*&#41;</a>
<div class="doc"><p>[ if ( expr ) statement (else statement)? ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lInfixExpr_S_r" >visit&#40;InfixExpr*&#41;</a>
<div class="doc"><p>[left op right]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKeyword_S_r" >visit&#40;Keyword*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mAuto_S_r" >visit&#40;Kwd::Auto*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mBool_S_r" >visit&#40;Kwd::Bool*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mBreak_S_r" >visit&#40;Kwd::Break*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mCase_S_r" >visit&#40;Kwd::Case*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mCatch_S_r" >visit&#40;Kwd::Catch*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mChar_S_r" >visit&#40;Kwd::Char*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mClass_S_r" >visit&#40;Kwd::Class*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mConst_S_r" >visit&#40;Kwd::Const*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mContinue_S_r" >visit&#40;Kwd::Continue*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mDefault_S_r" >visit&#40;Kwd::Default*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mDelete_S_r" >visit&#40;Kwd::Delete*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mDo_S_r" >visit&#40;Kwd::Do*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mDouble_S_r" >visit&#40;Kwd::Double*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mElse_S_r" >visit&#40;Kwd::Else*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mExtern_S_r" >visit&#40;Kwd::Extern*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mFloat_S_r" >visit&#40;Kwd::Float*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mFor_S_r" >visit&#40;Kwd::For*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mFriend_S_r" >visit&#40;Kwd::Friend*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mGoto_S_r" >visit&#40;Kwd::Goto*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mIf_S_r" >visit&#40;Kwd::If*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mInline_S_r" >visit&#40;Kwd::Inline*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mInt_S_r" >visit&#40;Kwd::Int*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mLong_S_r" >visit&#40;Kwd::Long*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mMutable_S_r" >visit&#40;Kwd::Mutable*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mNamespace_S_r" >visit&#40;Kwd::Namespace*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mNew_S_r" >visit&#40;Kwd::New*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mOperator_S_r" >visit&#40;Kwd::Operator*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mPrivate_S_r" >visit&#40;Kwd::Private*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mProtected_S_r" >visit&#40;Kwd::Protected*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mPublic_S_r" >visit&#40;Kwd::Public*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mRegister_S_r" >visit&#40;Kwd::Register*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mReturn_S_r" >visit&#40;Kwd::Return*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mShort_S_r" >visit&#40;Kwd::Short*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mSigned_S_r" >visit&#40;Kwd::Signed*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mStatic_S_r" >visit&#40;Kwd::Static*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mStruct_S_r" >visit&#40;Kwd::Struct*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mSwitch_S_r" >visit&#40;Kwd::Switch*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mTemplate_S_r" >visit&#40;Kwd::Template*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mThis_S_r" >visit&#40;Kwd::This*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mThrow_S_r" >visit&#40;Kwd::Throw*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mTry_S_r" >visit&#40;Kwd::Try*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mTypedef_S_r" >visit&#40;Kwd::Typedef*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mTypename_S_r" >visit&#40;Kwd::Typename*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mUnion_S_r" >visit&#40;Kwd::Union*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mUnsigned_S_r" >visit&#40;Kwd::Unsigned*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mUsing_S_r" >visit&#40;Kwd::Using*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mVirtual_S_r" >visit&#40;Kwd::Virtual*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mVoid_S_r" >visit&#40;Kwd::Void*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mVolatile_S_r" >visit&#40;Kwd::Volatile*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mWChar_S_r" >visit&#40;Kwd::WChar*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mWhile_S_r" >visit&#40;Kwd::While*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lLabelStatement_S_r" >visit&#40;LabelStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lLinkageSpec_S_r" >visit&#40;LinkageSpec*&#41;</a>
<div class="doc"><p>[ extern [&quot;C++&quot;] [{ body }] ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lList_S_r" >visit&#40;List*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lLiteral_S_r" >visit&#40;Literal*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lMetaclassDecl_S_r" >visit&#40;MetaclassDecl*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lName_S_r" >visit&#40;Name*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lNamespaceAlias_S_r" >visit&#40;NamespaceAlias*&#41;</a>
<div class="doc"><p>[ namespace Foo = Bar ; ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lNamespaceSpec_S_r" >visit&#40;NamespaceSpec*&#41;</a>
<div class="doc"><p>[ namespace &lt;identifier&gt; [{ body }] ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lNewExpr_S_r" >visit&#40;NewExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lNode_S_r" >visit&#40;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lOffsetofExpr_S_r" >visit&#40;OffsetofExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lParameterDeclaration_S_r" >visit&#40;ParameterDeclaration*&#41;</a>
<div class="doc"><p>One of:</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lParenExpr_S_r" >visit&#40;ParenExpr*&#41;</a>
<div class="doc"><p>[ ( expr ) ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lPmExpr_S_r" >visit&#40;PmExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lPostfixExpr_S_r" >visit&#40;PostfixExpr*&#41;</a>
<div class="doc"><p>[ expr ++ ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lReturnStatement_S_r" >visit&#40;ReturnStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lSizeofExpr_S_r" >visit&#40;SizeofExpr*&#41;</a>
<div class="doc"><p>[ sizeof ( [type [???] ] ) ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lSwitchStatement_S_r" >visit&#40;SwitchStatement*&#41;</a>
<div class="doc"><p>[ switch ( expr ) statement ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTemplateDecl_S_r" >visit&#40;TemplateDecl*&#41;</a>
<div class="doc"><p>[ template &lt; [types] &gt; [decl] ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTemplateInstantiation_S_r" >visit&#40;TemplateInstantiation*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lThrowExpr_S_r" >visit&#40;ThrowExpr*&#41;</a>
<div class="doc"><p>[ throw [expr] ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTryStatement_S_r" >visit&#40;TryStatement*&#41;</a>
<div class="doc"><p>[ try [{}] [catch ( arg ) [{}] ]* ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTypeParameter_S_r" >visit&#40;TypeParameter*&#41;</a>
<div class="doc"><p>One of:</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTypedef_S_r" >visit&#40;Typedef*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTypeidExpr_S_r" >visit&#40;TypeidExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTypeofExpr_S_r" >visit&#40;TypeofExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lUnaryExpr_S_r" >visit&#40;UnaryExpr*&#41;</a>
<div class="doc"><p>[op expr]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lUserAccessSpec_S_r" >visit&#40;UserAccessSpec*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lUsingDeclaration_S_r" >visit&#40;UsingDeclaration*&#41;</a>
<div class="doc"><p>[ using Foo <em>::</em> x ; ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lUsingDirective_S_r" >visit&#40;UsingDirective*&#41;</a>
<div class="doc"><p>[ using namespace Foo ; ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lWhileStatement_S_r" >visit&#40;WhileStatement*&#41;</a>
<div class="doc"><p>[ while ( expr ) statement ]</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#_tVisitor_l_r" >~Visitor&#40;&#41;</a>
<div class="doc"></div></div>
</div>

</body>
</html>
